Chuyển đến nội dung
Diễn đàn CADViet
victor85

[Yêu cầu] Nhờ viết lisp chọn nhanh text cùng nội dung

Các bài được khuyến nghị

7 phút trước, zzkhohieuquazz đã nói:

Ví dụ chọn Text bắt đầu bằng chữ "A":

(ssget (list (cons 0 "*text") (cons 1 "A*")))

   ----------------------------------

Dạ vâng đúng ý mình cám ơn bác Ha, Nhưng Bác có thể giúp e thêm tùy chọn là tại dòng nhắc là: hỏi là mình muốn chọn chữ cái đầu tiên là chữ nào. Vậy là mình có thể chọn được 24 chữ cái rồi, và cả số nửa. Cám ơn bác.

(ssget (list (cons 0 "*text") (cons 1 (strcat (getstring "\nNhap xau bat dau: ") "*"))))

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mấy a chị ơi, Bác Hà ơi e co tải cái lisp này trên trang nào của ai e quên rồi, Lisp đó là chọn nhanh đối tượng cùng thuộc tính. Nhưng nó lại chọn all các đối tượng trong layer, bác có thể xem và sựa lại là chỉ chọn trong vùng mình cần chọn thôi. Xin cám ơn bác.

CHON NHANH DOI TUONG CUNG THUOC TINH.lsp

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
22 phút trước, zzkhohieuquazz đã nói:

Mấy a chị ơi, Bác Hà ơi e co tải cái lisp này trên trang nào của ai e quên rồi, Lisp đó là chọn nhanh đối tượng cùng thuộc tính. Nhưng nó lại chọn all các đối tượng trong layer, bác có thể xem và sựa lại là chỉ chọn trong vùng mình cần chọn thôi. Xin cám ơn bác.

CHON NHANH DOI TUONG CUNG THUOC TINH.lsp

 

CHON NHANH DOI TUONG CUNG THUOC TINH.lsp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

(defun C:HA( / txt ss)  (setq txt (getstring "\nNhap chu cai dau tien: "))  (princ "\nChon cac doi tuong Text...")  (setq ss (ssget (list '(0 . "*TEXT") (cons 1 (strcat txt "*")))))  (sssetfirst nil ss))

 

--------------------------

Của Bác Hà Rất là tuyệt. Nhưng bác có thể chỉnh thêm chọn được luôn cả Mtext với. Cám ơn bác.

 

Còn của A Duy chọn vùng xong kg có đối tượng nào dc chọn.

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
1 giờ} trướ}c, zzkhohieuquazz đã nói:

Nhưng bác có thể chỉnh thêm chọn được luôn cả Mtext với.

 

Bánh đã trên dĩa rồi, lượm ăn thôi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
23 giờ trước, Duong Nhat Duy đã nói:

Viết lại cho bạn đây.

Cái lisp chọn Text ở trên mình test ko có vấn đề gì nhé !

 

SW.lsp

Cái này thì đúng chỉ với đối tượng Block thôi, Còn cái của mình gửi thì được all các đối tượng. Cái của A Duy chỉnh lại mình test mấy lần rồi kg dc. a xem đi Đánh lệnh xong, chọn đối tượng mẫu, chọn xong vùng chọn xong rồi nó kg hiển thị đối tượng nào được chọn hết, bảng lệnh thì liệt kê số đối tượng được chọn, con chuột thì tiếp tục hiển thị Select objects:, màn hình thì kg có đối tượng nào được chọn hết,  nếu mình kg chọn nửa thì nó báo lỗi giống ảnh e gửi kèm đó. A xem lại dùm. E sài cad 2007

LOI CHON DOI TUONG NHANH NE.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vào lúc 20/12/2018 tại 18:50, Doan Van Ha đã nói:

Bánh đã trên dĩa rồi, lượm ăn thôi.

Bác ơi e kg có biết cái này đâu trên dĩa trên thớt gì e có thấy gi đâu, Bác giúp thì giúp cho chót, cám ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vào lúc 23/12/2018 tại 09:30, zzkhohieuquazz đã nói:

Cái này thì đúng chỉ với đối tượng Block thôi, Còn cái của mình gửi thì được all các đối tượng. Cái của A Duy chỉnh lại mình test mấy lần rồi kg dc. a xem đi Đánh lệnh xong, chọn đối tượng mẫu, chọn xong vùng chọn xong rồi nó kg hiển thị đối tượng nào được chọn hết, bảng lệnh thì liệt kê số đối tượng được chọn, con chuột thì tiếp tục hiển thị Select objects:, màn hình thì kg có đối tượng nào được chọn hết,  nếu mình kg chọn nửa thì nó báo lỗi giống ảnh e gửi kèm đó. A xem lại dùm. E sài cad 2007

LOI CHON DOI TUONG NHANH NE.jpg

Có chút nhầm lẫn bạn ơi, lúc đầu mình tưởng cái lisp chỉ lọc block, bạn nhắc mình mới để ý.

Đây, sửa cho bạn đây, thêm 1 bước đầu là chọn tất cả các đối tượng trong vùng được lọc nhé.

CHON NHANH DOI TUONG CUNG THUOC TINH.lsp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bác ơi có thể giúp em cái lisp chọn nhiều Mtext và Text có nội dung khác nhau, sau đó đỗi tất cả theo nội dung mong muốn được không ạ, cái này lệnh Find trong cad không làm được, em tìm hỗm rài cũng không thấy ai đề cập trên diễn đàn, em xin cảm ơn 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vào lúc 20/12/2018 tại 16:48, Doan Van Ha đã nói:

Đây:

 


(defun C:HA( / txt ss)
 (setq txt (getstring "\nNhap chu cai dau tien: "))
 (princ "\nChon cac doi tuong Text...")
 (setq ss (ssget (list '(0 . "*TEXT") (cons 1 (strcat txt "*")))))
 (sssetfirst nil ss))

 

Nhờ anh hoặc bạn nào trên diễn đàn có thể bổ sung thêm tính năng nhập chữ cái thứ 2, thứ 3.....

Ví dụ: Khối lượng vừa có đơn vị "m" và "m2"; "m3". Mình muốn chọn "m2" thì em chọn nhập chữ cái thứ 2.

Xin cảm ơn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bác Doan Van Ha có thể viết giúp em viết cái lisp đỗi nhiều đối tượng Text và Mtext  không cùng nội dung lại thành nội dung của Text mẫu được không ạ, em tìm mãi trên diễn đàn không thấy ai nhắc đến lisp này, xin cảm ơn bác trước ạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vào lúc 4/10/2020 tại 07:15, Doan Van Ha đã nói:

Lệnh CH làm được việc này

Bác có thể hướng dẫn cụ thể em cách làm không ạ, em mò mãi không biết làm thế nào để đỗi đồng loạt các text, nó chỉ cho sửa từng cái 1 thôi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

(Defun C:D1 ( )
  (Setq lis (Ssget '((0 . "Dimension"))))
(princ))

Nhờ các anh xem giúp em code này đủ chưa ạ, mục đích của em là chọn các đối tượng DIM
Em có chạy lệnh và Lisp có chọn được đối tượng rồi nhưng khi thao tác lệnh tiếp theo thì lại ko được

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
22 giờ trước, CuongXD7 đã nói:

tiếp

Hic, đã vào đây mà không chịu đọc thêm vài bài, nếu có lười thì chừa lại ít cho anh em chứ đừng ôm hết nhé.

Sửa của bác Hạ:

(defun C:HA( / ss)
 (princ "\nChon cac doi tuong ...")
 (setq ss (ssget (list '(0 . "*DIMENSION,*LEADER") )))
 (sssetfirst nil ss))

Dấu * nghĩa là thà thừa còn hơn bỏ sót, vì trình code như tên nên hic.

Chỉnh sửa theo amateurday
Sửa tên tác giả
  • Like 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em xin cảm ơn bác, bác thông cảm cho, em cũng đi nhiều vòng trong diễn đàn rồi nhưng giờ mới gặp bài viết này, em xin lưu ý lời nhắc của bác, xin cảm ơn bác đã hỗ trợ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vào lúc 28/5/2012 tại 14:04, Doan Van Ha đã nói:

Lisp chọn text thuộc tập số nguyên Z.

 


;Doan Van Ha - CADViet.com - Ngay 28/5/2012
;Muc dich: Chon tap hop text bao gom cac so nguyen am, nguyen duong va so 0 (tap hop Z).
(defun C:HA()
(princ "\nChon cac text thuoc tap hop Z...")
(setq so (ssget '((0 . "*TEXT") (-4 . "<AND") (1 . "~*[~-0--9]*") (-4 . "<NOT") (1 . "*[`.]*") (-4 . "NOT>") (-4 . "AND>"))))
(sssetfirst nil so))
 

 

Bác Hạ ơi nếu chọn số thực thì sao và nếu cả số nguyên và số thực thì làm sao vậy bác.

Cám ơn bác

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
8 giờ trước, levietmy đã nói:

Bác Hạ ơi nếu chọn số thực thì sao và nếu cả số nguyên và số thực thì làm sao vậy bác.

Cám ơn bác

(setq so (ssget '((0 . "*TEXT") (1 . "~*[~-0--9]*"))))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

nếu như muốn thêm tính năng nối các tập hợp text giống nhau bằng polyline thì sửa lisp lại như thế nào ạ.Các anh giúp em với 

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
9 phút trước, chissich đã nói:

nếu như muốn thêm tính năng nối các tập hợp text giống nhau bằng polyline thì sửa lisp lại như thế nào ạ.Các anh giúp em với 

Thì tìm cái lisp nối text mà dùng. Có đầy trên forum này, nhưng không phải thuộc topic này.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

×